Guard Xaber:
Gracia hired many criminals as mercenary soldiers for their war against us. Now, they don't even know or care that the war ended with a victory for the courageous troops of Aden. When Gracia was defeated, the rogues abandoned the mercenaries and fled.
Those hiding in Horseshoe Valley are the remnants of the criminal mercenary soldiers that Gracia hired. They curse both the Gracians, who abandoned them, and Aden, for the many defeats they have suffered. They still conduct guerilla operations and harass us.
Return